# pandas-emetrics
`pandas-emetrics` is a Python package integrating ethical data algorithms and metrics directly into [Pandas](https://pandas.pydata.org/docs/) DataFrame processing. `pandas-emetrics` provides the necessary tools for users to analyze and increase the level of privacy and anonymity in their datasets. Through techniques such as k-anonymity, differential privacy, and feature suppression, consumers and research participants can feel confident that their data is being handled in a secure, ethical manner.

Through `pandas-emetrics`, I aim to bring data ethics, a field far too often considered an afterthought, to the forefront of development for data scientists, analysts, researchers, teachers—virtually anyone working with potentially sensitive personal information. By allowing these techniques to be easily understandable and accessible, I hope that more people begin to realize the importance of data ethics.

### References
This project would not have been possible without these great resources! 
- k-Anonymity [[1]](https://www.immuta.com/blog/k-anonymity-everything-you-need-to-know-2021-guide/), [[2]](https://epic.org/wp-content/uploads/privacy/reidentification/Sweeney_Article.pdf)
- [l-Diversity](https://personal.utdallas.edu/~muratk/courses/privacy08f_files/ldiversity.pdf)
- [Multivariate Mondrian Algorithm for k-anonymization](https://pages.cs.wisc.edu/~lefevre/MultiDim.pdf)
- [Noise and Differential Privacy](https://arxiv.org/pdf/1309.3958)
- A great [YouTube series](https://www.youtube.com/playlist?list=PLZeK3TZueogEhGK0kTztL5ALQ_MkxgFCv) touching on many ethical and security related topics
